# innosoft_simpletooltip

Plugin aims to help produce an easily usable implementation of tooltip

## Usage
To use this plugin, add ```innosoft_simpletooltip``` as a [dependency in your pubspec.yaml](https://flutter.io/platform-plugins/).

### Example
<pre>import 'package:flutter/material.dart';<br />import 'package:innosoft_simpletooltip/innosoft_simpletooltip.dart';<br /><br />void main() {<br />  runApp(App());<br />}<br /><br />class App extends StatelessWidget {<br /><br />  @override<br />  Widget build(BuildContext context) {<br />    return MaterialApp(<br />      home: TooltipExampleStateful(),<br />    );<br />  }<br />}<br /><br />class TooltipExampleStateful extends StatefulWidget {<br />  TooltipExampleStateful({Key key}) : super(key: key);<br /><br />  @override<br />  _TooltipExampleStateful createState() =&gt; _TooltipExampleStateful();<br />}<br /><br />class _TooltipExampleStateful extends State&lt;TooltipExampleStateful&gt; {<br /><br />  double marginTop = 20;<br />  SoftSimpleTooltip tooltipUp, tooltipDown;<br />  bool clsTooltipUp = false;<br />  bool clsTooltipDown = false;<br /><br />  @override<br />  void initState() {<br />    super.initState();<br />    tooltipUp = SoftSimpleTooltip(<br />        content: Container(<br />          //height: 100.0,<br />            child:Text("Lorem ipsum dolor sit amet, consetetur sadipscingelitr, "<br />                "sed diam nonumy eirmod tempor invidunt ut laboreet dolore magna aliquyam erat, "<br />                "sed diam voluptua. At vero eos et accusam et justoduo dolores et ea rebum. ")<br />        ),<br />        popupDirection: TooltipDirection.up,<br />        backgroundColor: Colors.black,<br />        radius: 20,<br />        arrowHeight: 40,<br />        arrowWidth: 50,<br />        arrowPos: 200,<br />        tooltipStyle: TooltipStyle.border);<br />    tooltipDown = SoftSimpleTooltip(<br />        content: Container(<br />          //height: 100.0,<br />            child:Text("Lorem ipsum dolor sit amet, consetetur sadipscingelitr, "<br />                "sed diam nonumy eirmod tempor invidunt ut laboreet dolore magna aliquyam erat, "<br />                "sed diam voluptua. At vero eos et accusam et justoduo dolores et ea rebum. ")<br />        ),<br />        popupDirection: TooltipDirection.down,<br />        backgroundColor: Colors.black,<br />        radius: 20,<br />        arrowHeight: 40,<br />        arrowWidth: 50,<br />        arrowPos: 200,<br />        tooltipStyle: TooltipStyle.border);<br />  }<br /><br />  @override<br />  void dispose() {<br />    super.dispose();<br />  }<br /><br />  void showHideTooltipUp(){<br />    clsTooltipUp ? tooltipUp.showTooltip() : tooltipUp.closeTooltip();<br />    setState(() {<br />      clsTooltipUp = !clsTooltipUp;<br />    });<br />  }<br /><br />  void showHideTooltipDown(){<br />    clsTooltipDown ? tooltipDown.showTooltip() : tooltipDown.closeTooltip();<br />    setState(() {<br />      clsTooltipDown = !clsTooltipDown;<br />    });<br />  }<br /><br />  @override<br />  Widget build(BuildContext context) {<br />    return Scaffold(<br />        backgroundColor: Colors.white,<br />        appBar: AppBar(<br />          backgroundColor: Colors.white,<br />          elevation: 0.0,<br />          centerTitle: true,<br />          title: Text(<br />            'TOOLTIP',<br />            style: TextStyle(color: Colors.black),<br />          ),<br />        ),<br />        body:<br />        Column(<br />          //mainAxisAlignment: MainAxisAlignment.spaceAround,<br />            mainAxisSize: MainAxisSize.min,<br />            children: &lt;Widget&gt;[<br />              // Row 1<br />              Row(<br />                  crossAxisAlignment: CrossAxisAlignment.start,<br />                  children: &lt;Widget&gt;[<br />                    Expanded(<br />                        child: new Container(<br />                            margin: new EdgeInsets.fromLTRB(20, 20, 20, 0),<br />                            child: Row(<br />                              children: &lt;Widget&gt;[<br />                                Expanded(<br />                                  child: tooltipUp,<br />                                ),<br />                              ],<br />                            ))<br />                    ),<br />                  ]<br />              ),<br />              Row(<br />                  children: &lt;Widget&gt;[<br />                    Expanded(<br />                        child: new Container(<br />                            margin: new EdgeInsets.fromLTRB(20, 0, 20, 0),<br />                            child: RaisedButton(<br />                              onPressed: () {<br />                                //Navigator.pop(globalContext);<br />                                showHideTooltipUp();<br />                              },<br />                              child: Text('Show Hide Tooltip Up'),<br />                            ))<br />                    ),<br />                  ]<br />              ),<br />              Row(<br />                  children: &lt;Widget&gt;[<br />                    Expanded(<br />                        child: new Container(<br />                            margin: new EdgeInsets.fromLTRB(20, 20, 20, 0),<br />                            child: RaisedButton(<br />                              onPressed: () {<br />                                //Navigator.pop(globalContext);<br />                                showHideTooltipDown();<br />                              },<br />                              child: Text('Show Hide Tooltip Down'),<br />                            ))<br />                    ),<br />                  ]<br />              ),<br />              Row(<br />                  crossAxisAlignment: CrossAxisAlignment.start,<br />                  children: &lt;Widget&gt;[<br />                    Expanded(<br />                        child: new Container(<br />                            margin: new EdgeInsets.fromLTRB(20, 0, 20, 0),<br />                            child: Row(<br />                              children: &lt;Widget&gt;[<br />                                Expanded(<br />                                  child: tooltipDown,<br />                                ),<br />                              ],<br />                            ))<br />                    ),<br />                  ]<br />              ),<br />            ]<br />        )<br />    );<br />  }<br />}</pre>

